
Foreman - Bug #36847

Wrong initrd extension for preseed_default_ipxe

10/20/2023 09:30 AM - Artur Obolewicz

Status: Ready For Testing   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.7.1

Triaged: No Found in Releases: 3.7.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9870,

https://github.com/theforeman/foreman/p

ull/10156

  

Description

In the current preseed_default_ipxe.erb template:

initrd=initrd.img

but in official Debian repositories 

http://ftp.debian.org/debian/dists/bullseye/main/installer-amd64/current/images/netboot/debian-installer/amd64/initrd.gz

initrd=initrd.gz

 It is causing an issue with preseed_default_ipxe template which has hardcoded wrong name.

Solution is to change the name to `initrd.gz`

History

#1 - 10/20/2023 09:45 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9870 added

#2 - 05/10/2024 01:17 PM - The Foreman Bot

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/10156 added
